Subject: Were you Injured After Being Implanted With An iVC - filter????

From: "IVC Filter Claims" <[email-masked]>
Date: Thu, 30 Jul 2015 19:07:37 -0400

Were you Injured After Being Implanted With An iVC - filter????